<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/diseases/WoundInfection.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dbb/_wound_infection_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">WoundInfection.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/dbb/_wound_infection_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d28/class_wound_infection_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d28/class_wound_infection_mdfr.html">WoundInfectionMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d28/class_wound_infection_mdfr.html#a64c83edcb75d78d502a5747ca5cb139c">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d28/class_wound_infection_mdfr.html#a64c83edcb75d78d502a5747ca5cb139c">AGENT_THRESHOLD_ACTIVATE</a> = 100;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d28/class_wound_infection_mdfr.html#a76828284e1201006512ab3db04bb6fa3">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d28/class_wound_infection_mdfr.html#a76828284e1201006512ab3db04bb6fa3">AGENT_THRESHOLD_DEACTIVATE</a> = 20;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>     </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../df/d28/class_wound_infection_mdfr.html#a447e0009ade0dd972bbb19fe3528ec99">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d28/class_wound_infection_mdfr.html#a447e0009ade0dd972bbb19fe3528ec99">WoundInfectionMdfr</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;[ERROR] :: WoundInfectionMdfr is deprecated.&quot;</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>};</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html">   14</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d88/class_wound_infect_stage1_mdfr.html">WoundInfectStage1Mdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a49d21513ddae8d32321ff0327c7bd26a">   16</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a49d21513ddae8d32321ff0327c7bd26a">AGENT_THRESHOLD_ACTIVATE</a> = 1;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#aac00bf248a9ea346ec6ff38399cd8961">   17</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#aac00bf248a9ea346ec6ff38399cd8961">AGENT_THRESHOLD_DEACTIVATE</a> = 250;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a2a460b355884c7f16f920abf4caeb3de">   18</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a2a460b355884c7f16f920abf4caeb3de">AGENT_THRESHOLD_FEVER</a> = 250;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab2b3fc5dbe5a1cb8e0c294bee096b6a5">   20</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab2b3fc5dbe5a1cb8e0c294bee096b6a5">PAIN_EVENT_INTERVAL_MIN</a> = 18;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a9d54ba48f44a6548cfe975da86c66c4d">   21</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a9d54ba48f44a6548cfe975da86c66c4d">PAIN_EVENT_INTERVAL_MAX</a> = 26;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a99e94370d1f049930a44078a025701a8">   23</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a99e94370d1f049930a44078a025701a8">m_NextEvent</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a51e131ab026f138426ee066c699cc6bc">   24</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a51e131ab026f138426ee066c699cc6bc">m_Time</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af36ee5725332e4fde10193147b70e142">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af36ee5725332e4fde10193147b70e142">Init</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a>    = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_WOUND_INFECTION1;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a>                = <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>.MODIFIER_SYNC_WOUND_INFECT_1;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ae59b0887bdb3ab81bc0e197e8bf77a86">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ae59b0887bdb3ab81bc0e197e8bf77a86">GetDebugText</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> (<span class="stringliteral">&quot;Activate threshold: &quot;</span>+<a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a49d21513ddae8d32321ff0327c7bd26a">AGENT_THRESHOLD_ACTIVATE</a> + <span class="stringliteral">&quot;| &quot;</span> +<span class="stringliteral">&quot;Deativate threshold: &quot;</span>+<a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#aac00bf248a9ea346ec6ff38399cd8961">AGENT_THRESHOLD_DEACTIVATE</a>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af24402c28636c9038aad5e4bd0737796">   40</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af24402c28636c9038aad5e4bd0737796">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span>( player.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.WOUND_AGENT) &gt;= <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a49d21513ddae8d32321ff0327c7bd26a">AGENT_THRESHOLD_ACTIVATE</a> &amp;&amp; !player.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_WOUND_INFECTION2)) </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ac0c88244b424b9b68e8ce8b5e5bc87af">   52</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ac0c88244b424b9b68e8ce8b5e5bc87af">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        player.IncreaseDiseaseCount();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a99e94370d1f049930a44078a025701a8">m_NextEvent</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab2b3fc5dbe5a1cb8e0c294bee096b6a5">PAIN_EVENT_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a9d54ba48f44a6548cfe975da86c66c4d">PAIN_EVENT_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab0f7553a942fbc10f7be471c29d50fab">   58</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab0f7553a942fbc10f7be471c29d50fab">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        player.DecreaseDiseaseCount();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a60ea2fe3b4e4eb17192e4e96b1e125af">   63</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a60ea2fe3b4e4eb17192e4e96b1e125af">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af24402c28636c9038aad5e4bd0737796">ActivateCondition</a>(player);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a11c6c8528f0cd8ba591c0eb14bc5485c">   68</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a11c6c8528f0cd8ba591c0eb14bc5485c">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a51e131ab026f138426ee066c699cc6bc">m_Time</a> += deltaT;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a51e131ab026f138426ee066c699cc6bc">m_Time</a> &gt;= <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a99e94370d1f049930a44078a025701a8">m_NextEvent</a> )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_PAIN_LIGHT);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a51e131ab026f138426ee066c699cc6bc">m_Time</a> = 0;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a99e94370d1f049930a44078a025701a8">m_NextEvent</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab2b3fc5dbe5a1cb8e0c294bee096b6a5">PAIN_EVENT_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a9d54ba48f44a6548cfe975da86c66c4d">PAIN_EVENT_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>};</div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa13e9ceb481752169c6aa44663e496d6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a></div><div class="ttdeci">eModifierSyncIDs m_SyncID</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00029">ModifierBase.c:29</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_a5c1716899a303fbac8533337fbc6ceb0"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a></div><div class="ttdeci">eModifierSyncIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00002">ModifiersManager.c:3</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ad7b192f22a83d324fbb2fc7fea14ad09"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">ModifiersManager.c:31</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html">WoundInfectStage1Mdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00014">WoundInfection.c:15</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a11c6c8528f0cd8ba591c0eb14bc5485c"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a11c6c8528f0cd8ba591c0eb14bc5485c">WoundInfectStage1Mdfr::OnTick</a></div><div class="ttdeci">override protected void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00068">WoundInfection.c:68</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a2a460b355884c7f16f920abf4caeb3de"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a2a460b355884c7f16f920abf4caeb3de">WoundInfectStage1Mdfr::AGENT_THRESHOLD_FEVER</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_FEVER</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00018">WoundInfection.c:18</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a49d21513ddae8d32321ff0327c7bd26a"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a49d21513ddae8d32321ff0327c7bd26a">WoundInfectStage1Mdfr::AGENT_THRESHOLD_ACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00016">WoundInfection.c:16</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a51e131ab026f138426ee066c699cc6bc"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a51e131ab026f138426ee066c699cc6bc">WoundInfectStage1Mdfr::m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00024">WoundInfection.c:24</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a60ea2fe3b4e4eb17192e4e96b1e125af"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a60ea2fe3b4e4eb17192e4e96b1e125af">WoundInfectStage1Mdfr::DeactivateCondition</a></div><div class="ttdeci">override protected bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00063">WoundInfection.c:63</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a99e94370d1f049930a44078a025701a8"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a99e94370d1f049930a44078a025701a8">WoundInfectStage1Mdfr::m_NextEvent</a></div><div class="ttdeci">protected float m_NextEvent</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00023">WoundInfection.c:23</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_a9d54ba48f44a6548cfe975da86c66c4d"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#a9d54ba48f44a6548cfe975da86c66c4d">WoundInfectStage1Mdfr::PAIN_EVENT_INTERVAL_MAX</a></div><div class="ttdeci">static const int PAIN_EVENT_INTERVAL_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00021">WoundInfection.c:21</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_aac00bf248a9ea346ec6ff38399cd8961"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#aac00bf248a9ea346ec6ff38399cd8961">WoundInfectStage1Mdfr::AGENT_THRESHOLD_DEACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_DEACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00017">WoundInfection.c:17</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_ab0f7553a942fbc10f7be471c29d50fab"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab0f7553a942fbc10f7be471c29d50fab">WoundInfectStage1Mdfr::OnDeactivate</a></div><div class="ttdeci">override protected void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00058">WoundInfection.c:58</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_ab2b3fc5dbe5a1cb8e0c294bee096b6a5"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ab2b3fc5dbe5a1cb8e0c294bee096b6a5">WoundInfectStage1Mdfr::PAIN_EVENT_INTERVAL_MIN</a></div><div class="ttdeci">static const int PAIN_EVENT_INTERVAL_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00020">WoundInfection.c:20</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_ac0c88244b424b9b68e8ce8b5e5bc87af"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ac0c88244b424b9b68e8ce8b5e5bc87af">WoundInfectStage1Mdfr::OnActivate</a></div><div class="ttdeci">override protected void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00052">WoundInfection.c:52</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_ae59b0887bdb3ab81bc0e197e8bf77a86"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#ae59b0887bdb3ab81bc0e197e8bf77a86">WoundInfectStage1Mdfr::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00035">WoundInfection.c:35</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_af24402c28636c9038aad5e4bd0737796"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af24402c28636c9038aad5e4bd0737796">WoundInfectStage1Mdfr::ActivateCondition</a></div><div class="ttdeci">override protected bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00040">WoundInfection.c:40</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage1_mdfr_html_af36ee5725332e4fde10193147b70e142"><div class="ttname"><a href="../../d2/d88/class_wound_infect_stage1_mdfr.html#af36ee5725332e4fde10193147b70e142">WoundInfectStage1Mdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00026">WoundInfection.c:26</a></div></div>
<div class="ttc" id="aclass_wound_infection_mdfr_html"><div class="ttname"><a href="../../df/d28/class_wound_infection_mdfr.html">WoundInfectionMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00001">WoundInfection.c:2</a></div></div>
<div class="ttc" id="aclass_wound_infection_mdfr_html_a447e0009ade0dd972bbb19fe3528ec99"><div class="ttname"><a href="../../df/d28/class_wound_infection_mdfr.html#a447e0009ade0dd972bbb19fe3528ec99">WoundInfectionMdfr::WoundInfectionMdfr</a></div><div class="ttdeci">void WoundInfectionMdfr()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00006">WoundInfection.c:6</a></div></div>
<div class="ttc" id="aclass_wound_infection_mdfr_html_a64c83edcb75d78d502a5747ca5cb139c"><div class="ttname"><a href="../../df/d28/class_wound_infection_mdfr.html#a64c83edcb75d78d502a5747ca5cb139c">WoundInfectionMdfr::AGENT_THRESHOLD_ACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00003">WoundInfection.c:3</a></div></div>
<div class="ttc" id="aclass_wound_infection_mdfr_html_a76828284e1201006512ab3db04bb6fa3"><div class="ttname"><a href="../../df/d28/class_wound_infection_mdfr.html#a76828284e1201006512ab3db04bb6fa3">WoundInfectionMdfr::AGENT_THRESHOLD_DEACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_DEACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbb/_wound_infection_8c_source.html#l00004">WoundInfection.c:4</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_ca7d4b78184f31e916245373efccd52e.html">diseases</a></li><li class="navelem"><a class="el" href="../../dc/dbb/_wound_infection_8c.html">WoundInfection.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
